The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Не компиллируется Apache2.2 на FreeBSD!"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы WEB технологии (Public)
Изначальное сообщение [ Отслеживать ]

"Не компиллируется Apache2.2 на FreeBSD!"  
Сообщение от Дмитрий Борисов email on 21-Дек-07, 19:06 
Здравствуйте! Не могу собрать Apache 2.2.6 на FreeBSD 6.2. Вываливается с ошибкой (кусок лога ниже). Подскажите, что делать?! Как я полагаю, не может найти lexpat, но где его взять?! Из какого он пакета? Думал что из flex, установил, но это не помогло =( Очень рассчитываю на помощь, жду ответа!

Making all in srclib
Making all in apr
Making all in apr-util
/usr/local/bin/bash /dist/server/httpd-2.2.6/srclib/apr/libtool --silent --mode=link  gcc -g -O2   -DHAVE_CONFIG_H    -I/dist/server/httpd-2.2.6/srclib/apr-util/include -I/dist/server/httpd-2.2.6/srclib/apr-util/include/private  -I/dist/server/httpd-2.2.6/srclib/apr/include  -I/usr/local/include  -version-info 2:11:2    -o libaprutil-1.la -rpath /usr/local/httpd/lib buckets/apr_brigade.lo buckets/apr_buckets.lo buckets/apr_buckets_alloc.lo buckets/apr_buckets_eos.lo buckets/apr_buckets_file.lo buckets/apr_buckets_flush.lo buckets/apr_buckets_heap.lo buckets/apr_buckets_mmap.lo buckets/apr_buckets_pipe.lo buckets/apr_buckets_pool.lo buckets/apr_buckets_refcount.lo buckets/apr_buckets_simple.lo buckets/apr_buckets_socket.lo crypto/apr_md4.lo crypto/apr_md5.lo crypto/apr_sha1.lo crypto/getuuid.lo crypto/uuid.lo dbm/apr_dbm.lo dbm/apr_dbm_berkeleydb.lo dbm/apr_dbm_gdbm.lo dbm/apr_dbm_ndbm.lo dbm/apr_dbm_sdbm.lo dbm/sdbm/sdbm.lo dbm/sdbm/sdbm_hash.lo dbm/sdbm/sdbm_lock.lo dbm/sdbm/sdbm_pair.lo encoding/apr_base64.lo hooks/apr_hooks.lo ldap/apr_ldap_init.lo ldap/apr_ldap_option.lo ldap/apr_ldap_url.lo misc/apr_date.lo misc/apr_queue.lo misc/apr_reslist.lo misc/apr_rmm.lo misc/apu_version.lo uri/apr_uri.lo xml/apr_xml.lo strmatch/apr_strmatch.lo xlate/xlate.lo dbd/apr_dbd.lo dbd/apr_dbd_pgsql.lo dbd/apr_dbd_sqlite2.lo dbd/apr_dbd_sqlite3.lo   -lcrypt  -lpthread  -lexpat -liconv /dist/server/httpd-2.2.6/srclib/apr/libapr-1.la -lcrypt -lpthread
/usr/bin/ld: cannot find -lexpat
*** Error code 1

Stop in /dist/server/httpd-2.2.6/srclib/apr-util.
*** Error code 1

Stop in /dist/server/httpd-2.2.6/srclib/apr-util.
*** Error code 1

Stop in /dist/server/httpd-2.2.6/srclib.
*** Error code 1

Stop in /dist/server/httpd-2.2.6.
lanserv#

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "-lexpat"  
Сообщение от Savl on 21-Дек-07, 20:42 
Expat - это XML парсер. Если его библиотека не установлена, то запуск configure с --with-expat=builtin проходит без указанной ошибки.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "-lexpat"  
Сообщение от Дмитрий Борисов email on 22-Дек-07, 00:06 
>Expat - это XML парсер. Если его библиотека не установлена, то запуск
>configure с --with-expat=builtin проходит без указанной ошибки.

Огромное спасибо, помогло!

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "Не компиллируется Apache2.2 на FreeBSD!"  
Сообщение от newser (ok) on 21-Дек-07, 20:52 
>[оверквотинг удален]
>*** Error code 1
>
>Stop in /dist/server/httpd-2.2.6/srclib/apr-util.
>*** Error code 1
>
>Stop in /dist/server/httpd-2.2.6/srclib.
>*** Error code 1
>
>Stop in /dist/server/httpd-2.2.6.
>lanserv#

Скажите, портами пользоваться Вам религия запрещает?

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "Не компиллируется Apache2.2 на FreeBSD!"  
Сообщение от Владимир email(??) on 02-Янв-08, 19:41 
>[оверквотинг удален]
>>Stop in /dist/server/httpd-2.2.6/srclib/apr-util.
>>*** Error code 1
>>
>>Stop in /dist/server/httpd-2.2.6/srclib.
>>*** Error code 1
>>
>>Stop in /dist/server/httpd-2.2.6.
>>lanserv#
>
>Скажите, портами пользоваться Вам религия запрещает?

Тут чуваки пробовали с портами играться но у них ничего не получилось :(

http://www.directadmin.com/forum/showthread.php?t=21198

Интересно что они делали не правильно?

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "Не компиллируется Apache2.2 на FreeBSD!"  
Сообщение от sargio (ok) on 02-Янв-08, 19:47 
так они все равно apache из  сырцов собирали.
только недостающие зависимости ставили через порты.


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

6. "Не компиллируется Apache2.2 на FreeBSD!"  
Сообщение от INM email(??) on 03-Янв-08, 12:40 
>так они все равно apache из  сырцов собирали.

IMHO: имеет смысл только в случае установки нескольких apache на хосте,
а так лучше использовать порты.
>только недостающие зависимости ставили через порты.

здесь они поступили более чем правильно.

P.S. На рабочей машине постоянно ставлю apache из портов, все работает...
Более того прежде чем ставить что-то из сырцов под FreeBSD, имеет смысл посмотреть
каким образом оно конфигурится и устанавливается из порта.


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру